#pragma once


#include <SFML/Graphics.hpp>

class Ball : public sf::CircleShape
{
public:
	Ball (const float& radius, const sf::Vector2f& pos, const sf::Color& ballColor, const sf::Vector2f& vel) : 
		sf::CircleShape(radius)
	{
		this->setFillColor(ballColor);
		this->setPosition(pos);
		this->setVelocity(vel);
	}

	sf::Vector2f getVelocity(void) const { return velocity; }
	void setVelocity(const sf::Vector2f& velocity) { this->velocity = velocity; }

private:
	sf::Vector2f velocity;
};